
function ads_txt_type(t1,t2)
{
  var tb=" target=_blank";
  var tbb="";  
  var tbb1="";
  if (t2==0) tb="";
  if (ads_txt_num<1)
  { return("<font class=gray>[<font class=red>提示</font>]</font>&nbsp;此地广告在后台论坛配置中文字广告管理里添加！"); }
  var na=rnd2(t1+ads_txt_num);
  var n_dim=ads_txt_dim[na].split("|");
  if (n_dim[5]=="True")
  {
    tbb="<b>";
	tbb1="</b>";
  }
  return("<font class=gray>[<font class=red>"+n_dim[0]+"</font>]</font>&nbsp;<a href='"+n_dim[3]+"'"+tb+" "+n_dim[2]+"><font color=#"+n_dim[4]+">"+tbb+""+n_dim[1]+""+tbb1+"</font></a>");
}

function rnd2(nvar)
{
  var dd=new Date();
  var ms=dd.getMilliseconds();
  if (ms<1) ms=1;
  for(i=1;i<3;i++)
  {
    if (ms<=ads_txt_num) break;
    ms=Math.floor(ms/2);
    i-=1;
  }
  return(ms);
}
